Properties Methods Events Direct Link

# Class Ext.Updater.BasicRenderer

Package: | Ext
Defined In: | UpdateManager.js
Class: | Updater.BasicRenderer
Extends: | Object

This class is a base class implementing a simple render method which updates an element using results from an Ajax request.

The BasicRenderer updates the element's innerHTML with the responseText. To perform a custom render (i.e. XML or JSON processing), create an object with a conforming render method and pass it to setRenderer on the Updater.

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

render( `Ext.Element el`, `Object xhr`, `Updater updateManager`, `Function callback` ) : void
This method is called when an Ajax response is received, and an Element needs updating.
This method is called when an Ajax response is received, and an Element needs updating.
Parameters:

- `el` : Ext.Element
  The element being rendered
- `xhr` : Object
  The XMLHttpRequest object
- `updateManager` : Updater
  The calling update manager
- `callback` : Function
  A callback that will need to be called if loadScripts is true on the Updater

Returns:

- void

Updater.BasicRenderer

## Public Events

This class has no public events.